Create a disk
curl --request POST \
--url https://api.ornn.com/v1/orchestrator/disks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "Training disk",
"image_id": "55555555-5555-4555-8555-555555555555",
"python_version": "3.12",
"python_packages": [
"torch"
]
}
'import requests
url = "https://api.ornn.com/v1/orchestrator/disks"
payload = {
"display_name": "Training disk",
"image_id": "55555555-5555-4555-8555-555555555555",
"python_version": "3.12",
"python_packages": ["torch"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
display_name: 'Training disk',
image_id: '55555555-5555-4555-8555-555555555555',
python_version: '3.12',
python_packages: ['torch']
})
};
fetch('https://api.ornn.com/v1/orchestrator/disks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ornn.com/v1/orchestrator/disks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'display_name' => 'Training disk',
'image_id' => '55555555-5555-4555-8555-555555555555',
'python_version' => '3.12',
'python_packages' => [
'torch'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ornn.com/v1/orchestrator/disks"
payload := strings.NewReader("{\n \"display_name\": \"Training disk\",\n \"image_id\": \"55555555-5555-4555-8555-555555555555\",\n \"python_version\": \"3.12\",\n \"python_packages\": [\n \"torch\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.ornn.com/v1/orchestrator/disks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"display_name\": \"Training disk\",\n \"image_id\": \"55555555-5555-4555-8555-555555555555\",\n \"python_version\": \"3.12\",\n \"python_packages\": [\n \"torch\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ornn.com/v1/orchestrator/disks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"display_name\": \"Training disk\",\n \"image_id\": \"55555555-5555-4555-8555-555555555555\",\n \"python_version\": \"3.12\",\n \"python_packages\": [\n \"torch\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "44444444-4444-4444-8444-444444444444",
"organization_id": "aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa",
"display_name": "Training disk",
"sha256": "",
"size_bytes": 0,
"image_id": "55555555-5555-4555-8555-555555555555",
"build_status": "unbuilt",
"build_error": null,
"built_at": null,
"cuda_version": null,
"nvidia_driver_version": null,
"dcgmi_version": null,
"python_version": "3.12",
"python_packages": [
"torch"
],
"created_at": "2026-10-20T15:00:00Z"
}{
"code": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}Create a disk
Creates a reusable boot disk from a base image and optional software. Match the software to the
image’s os_release. The first VM launch builds the disk, and a later launch retries a failed
build.
Use a read-write key from an approved organization. If the request times out, look for the disk before retrying.
POST
/
v1
/
orchestrator
/
disks
Create a disk
curl --request POST \
--url https://api.ornn.com/v1/orchestrator/disks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "Training disk",
"image_id": "55555555-5555-4555-8555-555555555555",
"python_version": "3.12",
"python_packages": [
"torch"
]
}
'import requests
url = "https://api.ornn.com/v1/orchestrator/disks"
payload = {
"display_name": "Training disk",
"image_id": "55555555-5555-4555-8555-555555555555",
"python_version": "3.12",
"python_packages": ["torch"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
display_name: 'Training disk',
image_id: '55555555-5555-4555-8555-555555555555',
python_version: '3.12',
python_packages: ['torch']
})
};
fetch('https://api.ornn.com/v1/orchestrator/disks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ornn.com/v1/orchestrator/disks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'display_name' => 'Training disk',
'image_id' => '55555555-5555-4555-8555-555555555555',
'python_version' => '3.12',
'python_packages' => [
'torch'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ornn.com/v1/orchestrator/disks"
payload := strings.NewReader("{\n \"display_name\": \"Training disk\",\n \"image_id\": \"55555555-5555-4555-8555-555555555555\",\n \"python_version\": \"3.12\",\n \"python_packages\": [\n \"torch\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.ornn.com/v1/orchestrator/disks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"display_name\": \"Training disk\",\n \"image_id\": \"55555555-5555-4555-8555-555555555555\",\n \"python_version\": \"3.12\",\n \"python_packages\": [\n \"torch\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ornn.com/v1/orchestrator/disks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"display_name\": \"Training disk\",\n \"image_id\": \"55555555-5555-4555-8555-555555555555\",\n \"python_version\": \"3.12\",\n \"python_packages\": [\n \"torch\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "44444444-4444-4444-8444-444444444444",
"organization_id": "aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa",
"display_name": "Training disk",
"sha256": "",
"size_bytes": 0,
"image_id": "55555555-5555-4555-8555-555555555555",
"build_status": "unbuilt",
"build_error": null,
"built_at": null,
"cuda_version": null,
"nvidia_driver_version": null,
"dcgmi_version": null,
"python_version": "3.12",
"python_packages": [
"torch"
],
"created_at": "2026-10-20T15:00:00Z"
}{
"code": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}Choose a base image and any compatible software. Save the disk’s
id to use it on a reservation.Authorizations
Send an organization API key as a bearer token.
Body
application/json
Response
Create a disk.
A reusable VM boot disk. VM writes go to its own local copy. A nonempty sha256 means this boot disk has bytes ready; a created disk can also be selected before its first build.
Was this page helpful?